Skip to content

startCaseFileUpload

MUTATIONstartCaseFileUpload

Cases GraphQL API · Mutations

startCaseFileUpload initializes a file upload for a case. The response will include a pre-signed URL that can be used to upload a file to the case.

Arguments

Argument Type Description
input StartCaseFileUploadInput!

Returns

CaseFileUpload

Request samples

curl -X POST "https://api.taegis.sophos.com/graphql" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>" -H "Content-Type: application/json" -d "{
  \"query\": \"mutation StartCaseFileUpload(\$input: StartCaseFileUploadInput!) { startCaseFileUpload(input: \$input) { file { id caseId tenantId createdAt updatedAt deletedAt } presignedUrl } }\",
  \"variables\": {
    \"input\": {
      \"caseId\": \"<caseId>\",
      \"name\": \"<name>\",
      \"size\": 0,
      \"contentType\": \"<contentType>\"
    }
  }
}"

import requests

response = requests.post(
    "https://api.taegis.sophos.com/graphql",
    headers={
        "Authorization": "Bearer <access-token>",
        "X-Tenant-ID": "<tenant-id>",
        "Content-Type": "application/json",
    },
    json={   'query': 'mutation StartCaseFileUpload($input: StartCaseFileUploadInput!) '
             '{ startCaseFileUpload(input: $input) { file { id caseId tenantId '
             'createdAt updatedAt deletedAt } presignedUrl } }',
    'variables': {   'input': {   'caseId': '<caseId>',
                                  'name': '<name>',
                                  'size': 0,
                                  'contentType': '<contentType>'}}},
)
print(response.json())

$headers = @{
    "Authorization" = "Bearer <access-token>"
    "X-Tenant-ID" = "<tenant-id>"
    "Content-Type" = "application/json"
}
$body = '{
  "query": "mutation StartCaseFileUpload($input: StartCaseFileUploadInput!) { startCaseFileUpload(input: $input) { file { id caseId tenantId createdAt updatedAt deletedAt } presignedUrl } }",
  "variables": {
    "input": {
      "caseId": "<caseId>",
      "name": "<name>",
      "size": 0,
      "contentType": "<contentType>"
    }
  }
}'
Invoke-RestMethod -Method POST -Uri "https://api.taegis.sophos.com/graphql" -Headers $headers -Body $body -ContentType "application/json"

package main

import (
    "fmt"
    "io"
    "net/http"
    "strings"
)

func main() {
    req, err := http.NewRequest("POST", "https://api.taegis.sophos.com/graphql", strings.NewReader(`{
  "query": "mutation StartCaseFileUpload($input: StartCaseFileUploadInput!) { startCaseFileUpload(input: $input) { file { id caseId tenantId createdAt updatedAt deletedAt } presignedUrl } }",
  "variables": {
    "input": {
      "caseId": "<caseId>",
      "name": "<name>",
      "size": 0,
      "contentType": "<contentType>"
    }
  }
}`))
    if err != nil {
        panic(err)
    }
    req.Header.Set("Authorization", "Bearer <access-token>")
    req.Header.Set("X-Tenant-ID", "<tenant-id>")
    req.Header.Set("Content-Type", "application/json")

    resp, err := http.DefaultClient.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}

const response = await fetch("https://api.taegis.sophos.com/graphql", {
  method: "POST",
  headers: {
    "Authorization": "Bearer <access-token>",
    "X-Tenant-ID": "<tenant-id>",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
  "query": "mutation StartCaseFileUpload($input: StartCaseFileUploadInput!) { startCaseFileUpload(input: $input) { file { id caseId tenantId createdAt updatedAt deletedAt } presignedUrl } }",
  "variables": {
    "input": {
      "caseId": "<caseId>",
      "name": "<name>",
      "size": 0,
      "contentType": "<contentType>"
    }
  }
}),
});
const data = await response.json();
console.log(data);